=== modified file 'bzrlib/branch.py'
--- bzrlib/branch.py	2010-05-06 23:41:35 +0000
+++ bzrlib/branch.py	2010-05-06 23:54:05 +0000
@@ -2288,6 +2288,10 @@
         self.branch_token = branch_token
         self.unlock = unlock
 
+    def __str__(self):
+        return "BranchWriteLockResult(%s, %s)" % (self.branch_token,
+            self.unlock)
+
 
 class BzrBranch(Branch, _RelockDebugMixin):
     """A branch stored in the actual filesystem.

=== modified file 'bzrlib/repository.py'
--- bzrlib/repository.py	2010-05-06 23:41:35 +0000
+++ bzrlib/repository.py	2010-05-06 23:54:05 +0000
@@ -872,6 +872,10 @@
         self.repository_token = repository_token
         self.unlock = unlock
 
+    def __str__(self):
+        return "RepositoryWriteLockResult(%s, %s)" % (self.repository_token,
+            self.unlock)
+
 
 ######################################################################
 # Repositories

